unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  FlexiSwitch;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    aFlexiSwitch: TFlexiSwitch;
    Button5: TButton;
    FlexiSwitch1: TFlexiSwitch;
    FlexiSwitch2: TFlexiSwitch;
    FlexiSwitch3: TFlexiSwitch;
    FlexiSwitch4: TFlexiSwitch;
    Label1: TLabel;
    Label2: TLabel;
    FirstRadioButton: TRadioButton;
    Label3: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    SecondRadioButton: TRadioButton;
    Shape1: TShape;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure aFlexiSwitchChange(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Changed(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SecondRadioButtonChange(Sender: TObject);
  private
    i : integer;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
 if aFlexiSwitch.Checked then Label1.Caption:= 'Checked' else Label1.Caption:= 'Not Checked';
 if FirstRadioButton.Checked then Label2.Caption:= 'Checked' else Label2.Caption:= 'Not Checked';
end;






procedure TForm1.Button1Click(Sender: TObject);
begin
 if aFlexiSwitch.Direction = fsRight then aFlexiSwitch.Direction:= fsLeft else aFlexiSwitch.Direction:= fsRight;
end;


procedure TForm1.Button4Click(Sender: TObject);
begin
 if aFlexiSwitch.Checked then aFlexiSwitch.Checked:= false else aFlexiSwitch.Checked:= true;
end;

procedure TForm1.aFlexiSwitchChange(Sender: TObject);
begin
 if aFlexiSwitch.Checked then Label1.Caption:= 'Checked' else Label1.Caption:= 'Not Checked';
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
 case i of
  0 : begin RadioButton1.Checked:= true; FlexiSwitch1.Checked:= true; end;
  1 : begin RadioButton2.Checked:= true; FlexiSwitch2.Checked:= true; end;
  2 : begin RadioButton3.Checked:= true; FlexiSwitch3.Checked:= true; end;
  3 : begin RadioButton4.Checked:= true; FlexiSwitch4.Checked:= true; end;
 end;
 inc(i);
 if i = 4 then i:= 0;
end;
procedure TForm1.Button3Click(Sender: TObject);
begin
  if Button3.Caption = 'fsClick' then
   begin
    aFlexiSwitch.SwitchMode:= fsSlide;
    Button3.Caption := 'fsSlide';
   end
  else
   begin
    aFlexiSwitch.SwitchMode:= fsClick;
    Button3.Caption := 'fsClick';
   end;
end;


//XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX

procedure TForm1.Button2Click(Sender: TObject);
begin
 if FirstRadioButton.Checked then SecondRadioButton.Checked:= true else FirstRadioButton.Checked := true;
end;

procedure TForm1.SecondRadioButtonChange(Sender: TObject);
begin
 if FirstRadioButton.Checked then Label2.Caption:= 'Checked' else Label2.Caption:= 'Not Checked';
end;

//XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX


procedure TForm1.Changed(Sender: TObject);
var s : string;
begin
 if Sender is TRadioButton then s:= (Sender as TRadioButton).Name;
 if Sender is TFlexiSwitch then s:= (Sender as TFlexiSwitch).Name;

 Label3.Caption:=s;
end;

end.

